OrcProto.StripeFooterOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.StripeFooterOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.StripeFooter, OrcProto.StripeFooter.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.StripeFooterOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.ColumnEncoding` | `getColumns(int index)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `int` | `getColumnsCount()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `List<OrcProto.ColumnEncoding>` | `getColumnsList()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.ColumnEncodingOrBuilder` | `getColumnsOrBuilder(int index)` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `List<? extends OrcProto.ColumnEncodingOrBuilder>` | `getColumnsOrBuilderList()` `repeated .orc.proto.ColumnEncoding columns = 2;`
    `OrcProto.Stream` | `getStreams(int index)` `repeated .orc.proto.Stream streams = 1;`
    `int` | `getStreamsCount()` `repeated .orc.proto.Stream streams = 1;`
    `List<OrcProto.Stream>` | `getStreamsList()` `repeated .orc.proto.Stream streams = 1;`
    `OrcProto.StreamOrBuilder` | `getStreamsOrBuilder(int index)` `repeated .orc.proto.Stream streams = 1;`
    `List<? extends OrcProto.StreamOrBuilder>` | `getStreamsOrBuilderList()` `repeated .orc.proto.Stream streams = 1;`
    `String` | `getWriterTimezone()` `optional string writerTimezone = 3;`
    `com.google.protobuf.ByteString` | `getWriterTimezoneBytes()` `optional string writerTimezone = 3;`
    `boolean` | `hasWriterTimezone()` `optional string writerTimezone = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getStreamsList

          List<OrcProto.Stream> getStreamsList()

      `repeated .orc.proto.Stream streams = 1;`

    - #### getStreams

          OrcProto.Stream getStreams(int index)

      `repeated .orc.proto.Stream streams = 1;`

    - #### getStreamsCount

          int getStreamsCount()

      `repeated .orc.proto.Stream streams = 1;`

    - #### getStreamsOrBuilderList

          List<? extends OrcProto.StreamOrBuilder> getStreamsOrBuilderList()

      `repeated .orc.proto.Stream streams = 1;`

    - #### getStreamsOrBuilder

          OrcProto.StreamOrBuilder getStreamsOrBuilder(int index)

      `repeated .orc.proto.Stream streams = 1;`

    - #### getColumnsList

          List<OrcProto.ColumnEncoding> getColumnsList()

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### getColumns

          OrcProto.ColumnEncoding getColumns(int index)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### getColumnsCount

          int getColumnsCount()

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### getColumnsOrBuilderList

          List<? extends OrcProto.ColumnEncodingOrBuilder> getColumnsOrBuilderList()

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### getColumnsOrBuilder

          OrcProto.ColumnEncodingOrBuilder getColumnsOrBuilder(int index)

      `repeated .orc.proto.ColumnEncoding columns = 2;`

    - #### hasWriterTimezone

          boolean hasWriterTimezone()

      `optional string writerTimezone = 3;`

    - #### getWriterTimezone

          String getWriterTimezone()

      `optional string writerTimezone = 3;`

    - #### getWriterTimezoneBytes

          com.google.protobuf.ByteString getWriterTimezoneBytes()

      `optional string writerTimezone = 3;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.